--Database:PETS
SELECT Customer.CustomerID, Customer."Customer Number", Customer."Type of Customer", Customer.Name, Customer.Street, Customer.City, Customer.State, Customer."Zip Code", Customer.Phone, Customer."Customer Since", Customer."Last Visit Date", Customer.Discount, Customer."Outstanding Balance", Pets.PetID, Pets.CustomerID, Pets."Pet Number", Pets."Pet Name", Pets."Animal Type", Pets."Type of Animal", Pets.Breed, Pets."Date Of Birth", Pets.Gender, Pets.Colors, Pets.Neutered_Spayed, Pets."Length", Pets.Weight, Pets."Last Visit Date", Pets."Current Vaccinations", Pets.Deceased, Pets.Comments, Visits.VisitID, Visits.PetID, Visits."Visit Number", Visits."Visit Date", Visits."Follow Up Type", Visits."Follow Up Date", Visits."Total Amount", Visits."Payment Type", Visits."Date Paid", Visits."Amount Paid", Visits.Taxable, Visits."Tax Rate", Visits.Invoiced, Visitdetails.ItemID, Visitdetails.VisitID, Visitdetails."Visit Type", Visitdetails."Treatment Code", Visitdetails.Price, Treatments.Treatment
FROM "customer.dbf" Customer
   INNER JOIN "pets.dbf" Pets
   ON  (Customer.CustomerID = Pets.CustomerID)  
   INNER JOIN "visits.dbf" Visits
   ON  (Pets.PetID = Visits.PetID)  
   INNER JOIN "visitdetails.dbf" Visitdetails
   ON  (Visits.VisitID = Visitdetails.VisitID)  
   INNER JOIN "treatments.dbf" Treatments
   ON  (Visitdetails."Treatment Code" = Treatments."Treatment Code")  
ORDER BY Customer.Name, Customer.CustomerID, Pets.PetID, Visits."Visit Date"