class baseCForm of FORM custom
   with (this)
      onGotFocus = class::FORM_ONGOTFOCUS
      onLostFocus = class::FORM_ONLOSTFOCUS
      canClose = class::FORM_CANCLOSE
      onClose = class::FORM_ONCLOSE
      scaleFontBold = false
      height = 10.9091
      left = 32.1429
      top = 0.0455
      width = 40
      text = "Base Form"
      icon = "filename DATABASE.ICO"
   endwith


   function form_canClose
      // is there a rowset associated with the form? And
      // if so, is the state set to edit or beginAppend?
      if form.rowset # NULL and;
         (form.rowset.state == 2 or form.rowset.state == 3)
         // if so, is the rowset modified?
         if form.rowset.modified
            nAnswer = msgbox("Save changes before leaving record?", "Data has changed",32+3)
            do case
               case nAnswer == 6
                  form.rowset.save()
               case nAnswer == 7
                  form.rowset.abandon()
               otherwise
                  return false
            endcase
         endif
      endif
  
      return true

   function form_onClose
      this.release()
      return

   function form_onGotFocus
      // Set application reference to this form:
      if type( "_app.framewin" ) # "U"
         _app.framewin.currentform = this
      endif
      form.repaint()
      return

   function form_onLostFocus
      // Null out application's reference to this form:
      if type( "_app.framewin" ) # "U"
         _app.framewin.currentform := null
      endif    
      return

   function Repaint
      parameter oform
      if type( "oForm" ) == "U" or empty( oForm)
          oform = form
      endif
      if type( "UpdateWindow" ) # "FP"
          extern CLOGICAL UpdateWindow( CHANDLE ) USER32
      endif
      
      return UpdateWindow( oForm.hWnd )
endclass
